Bugzilla (bugzilla.redhat.com) will be under maintenance for infrastructure upgrades and will not be available on July 31st between 12:30 AM - 05:30 AM UTC. We appreciate your understanding and patience. You can follow status.redhat.com for details.
Bug 1416847 - [abrt] __warn: WARNING: CPU: 1 PID: 1039 at ./include/drm/drm_crtc.h:857 drm_kms_helper_poll_enable.part.2+0xa8/0xc0 [drm_kms_helper]
Summary: [abrt] __warn: WARNING: CPU: 1 PID: 1039 at ./include/drm/drm_crtc.h:857 drm_...
Keywords:
Status: CLOSED EOL
Alias: None
Product: Fedora
Classification: Fedora
Component: kernel
Version: rawhide
Hardware: x86_64
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Kernel Maintainer List
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard: abrt_hash:a95267893ce8599f518fa11ae65...
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-01-26 15:20 UTC by Adam Williamson
Modified: 2019-01-09 12:54 UTC (History)
9 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-04-06 18:24:09 UTC
Type: ---


Attachments (Terms of Use)
File: dmesg (43.36 KB, text/plain)
2017-01-26 15:20 UTC, Adam Williamson
no flags Details

Description Adam Williamson 2017-01-26 15:20:43 UTC
Description of problem:
This occurred in openQA testing of Fedora-Rawhide-20170125.n.0. This
kernel warning showed up in the test that boots the Workstation live
image and checks if there are any unexpected notifications; all it does
is boot the image, sit at the desktop for ten minutes, then check for
notifications. The test is run in a qemu VM with qxl graphics.

Additional info:
reporter:       libreport-2.8.0
WARNING: CPU: 1 PID: 1039 at ./include/drm/drm_crtc.h:857 drm_kms_helper_poll_enable.part.2+0xa8/0xc0 [drm_kms_helper]
Modules linked in: ppdev snd_intel8x0(+) snd_ac97_codec ac97_bus snd_seq snd_seq_device snd_pcm qxl(+) ttm acpi_cpufreq tpm_tis drm_kms_helper snd_timer tpm_tis_core snd tpm parport_pc joydev i2c_piix4 drm parport soundcore nfsd auth_rpcgss nfs_acl lockd grace nls_utf8 isofs squashfs 8021q virtio_blk virtio_scsi garp stp llc mrp virtio_net crc32c_intel serio_raw ata_generic virtio_pci virtio_ring virtio qemu_fw_cfg pata_acpi sunrpc scsi_transport_iscsi loop
CPU: 1 PID: 1039 Comm: systemd-udevd Not tainted 4.10.0-0.rc5.git1.1.fc26.x86_64 #1
Hardware name: QEMU Standard PC (i440FX + PIIX, 1996), BIOS 1.9.3-1.fc25 04/01/2014
Call Trace:
 dump_stack+0x86/0xc3
 __warn+0xcb/0xf0
 warn_slowpath_null+0x1d/0x20
 drm_kms_helper_poll_enable.part.2+0xa8/0xc0 [drm_kms_helper]
 drm_kms_helper_poll_init+0xb6/0xc0 [drm_kms_helper]
 qxl_driver_load+0x664/0x860 [qxl]
 drm_dev_register+0x138/0x190 [drm]
 drm_get_pci_dev+0x9c/0x1e0 [drm]
 qxl_pci_probe+0x1b/0x40 [qxl]
 local_pci_probe+0x45/0xa0
 ? pci_match_device+0xca/0x110
 pci_device_probe+0x103/0x150
 ? _raw_spin_unlock+0x27/0x40
 driver_probe_device+0x2bb/0x460
 __driver_attach+0xe3/0xf0
 ? driver_probe_device+0x460/0x460
 bus_for_each_dev+0x73/0xc0
 driver_attach+0x1e/0x20
 bus_add_driver+0x173/0x270
 driver_register+0x60/0xe0
 __pci_register_driver+0x60/0x70
 ? 0xffffffffc044b000
 drm_pci_init+0xeb/0x100 [drm]
 ? 0xffffffffc044b000
 qxl_init+0x48/0x1000 [qxl]
 do_one_initcall+0x52/0x1b0
 ? rcu_read_lock_sched_held+0x4a/0x80
 ? kmem_cache_alloc_trace+0x277/0x2d0
 ? do_init_module+0x27/0x1fa
 do_init_module+0x5f/0x1fa
 load_module+0x2450/0x2b80
 ? __symbol_put+0x70/0x70
 SYSC_init_module+0x19b/0x1c0
 SyS_init_module+0xe/0x10
 do_syscall_64+0x6c/0x1f0
 entry_SYSCALL64_slow_path+0x25/0x25
RIP: 0033:0x7f733bad9eda
RSP: 002b:00007fff1d4ea8d8 EFLAGS: 00000246 ORIG_RAX: 00000000000000af
RAX: ffffffffffffffda RBX: 0000561d7ed5cec0 RCX: 00007f733bad9eda
RDX: 00007f733c60f975 RSI: 000000000001e943 RDI: 0000561d7eda7d80
RBP: 00007f733c60f975 R08: 0000561d7ed5cfb0 R09: 0000000000000000
R10: 0000000000000000 R11: 0000000000000246 R12: 0000561d7eda7d80
R13: 0000561d7ed80cb0 R14: 0000000000020000 R15: 0000561d7ed5cec0

Comment 1 Adam Williamson 2017-01-26 15:20:54 UTC
Created attachment 1244792 [details]
File: dmesg

Comment 2 Laura Abbott 2018-04-06 18:24:09 UTC
Doing some pruning, this bug looks to be several kernel versions old. Please test on a newer kernel and reopen if the problem still exists.


Note You need to log in before you can comment on or make changes to this bug.